IARRAY_SET_DATA_RANGE(3)

EXPERIMENTAL_FUNC
iarray_set_data_range - Set the range of data in an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_set_data_range

(iarray array, double minimum, double maximum)

DESCRIPTION
This routine will set the range of data in an Intelligent Array. The range information will be attached to the header.

array
    The array.

minimum
    The minimum value. The name of the minimum value is constructed by appending "__MINIMUM" to the array value name (see <-iarray_value_name->). If appropriate, the FITS-style "DATAMIN" keyword is written instead.

maximum
    The maximum value. The name of the maximum value is constructed by appending "__MAXIMUM" to the array value name (see <-iarray_value_name->). If appropriate, the FITS-style "DATAMAX" keyword is written instead.

RETURN VALUE
TRUE if the range information is different from what was already attached to the array, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/